CVE-2021-45463

high

Description

load_cache in GEGL before 0.4.34 allows shell expansion when a pathname in a constructed command line is not escaped or filtered. This is caused by use of the system library function for execution of the ImageMagick convert fallback in magick-load. NOTE: GEGL releases before 0.4.34 are used in GIMP releases before 2.10.30; however, this does not imply that GIMP builds enable the vulnerable feature.

References

https://gitlab.gnome.org/GNOME/gegl/-/commit/bfce470f0f2f37968862129d5038b35429f2909b

https://gitlab.gnome.org/GNOME/gegl/-/blob/master/docs/NEWS.adoc

https://gitlab.gnome.org/GNOME/gimp/-/commit/e8a31ba4f2ce7e6bc34882dc27c97fba993f5868

https://www.gimp.org/news/2021/12/21/gimp-2-10-30-released/

https://lists.fedoraproject.org/archives/list/[email protected]/message/CG635WJCNXHJM5U4BGMAAP4NK2YFTQXK/

https://lists.fedoraproject.org/archives/list/[email protected]/message/ZP5NDNOTMPI335FXE7VUPW7FXYTT7PYN/

https://gitlab.gnome.org/GNOME/gegl/-/issues/298

Details

Source: MITRE

Published: 2021-12-23

Updated: 2022-02-07

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 7.8

Vector: CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 1.8

Severity: HIGH